Packages - Bug #3017

[sagemath] Unhandled SIGABRT when using solve_mod
2021-04-26 09:35 AM - theova

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

Hello

I'm using sagemath. Before | updated my system yesterday, everything was fine and smooth. Now, when | do

sage

T

| SageMath version 9.2, Release Date: 2020-10-24
| Using Python 3.9.4. Type "help ()" for help.
|

sage: T=var('T'); solve_mod(T == 3, 9)

| get the following error:

sig_error () without sig_on{()
/usr/lib/python3.9/site-packages/cysignals/signals.cpython-39-x86_64—-1linux—gnu.so (+0x774d) [
0x7£9a7e03974d]
/usr/lib/python3.9/site-packages/cysignals/signals.cpython-39-x86_64-1linux—-gnu.so (+0x780c) [
0x7£9a7e03980c]
/usr/lib/python3.9/site-packages/cysignals/signals.cpython-39-x86_64-1inux—-gnu.so (+0xa946) [
0x7£9a7e03c946]

/usr/lib/libc.so.6 (+0x3cf80) [0x7£9a80falf80]

/usr/lib/libc.so.6(kil1l+0xb) [0x7£9a80fa2l1fb]
/usr/lib/python3.9/site-packages/sage/ext/memory.cpython-39-x86_64-1linux—-gnu.so (+0x3273) [
0x7f9%9a76caa273]
/usr/lib/python3.9/site-packages/sage/ext/memory.cpython-39-x86_64-1inux—-gnu.so (+0x3490) [
0x7f9%9a76caad90]

/usr/lib/libgmp.so.10 (__gmp_tmp_reentrant_alloc+0x19) [0x7f9%a7e2f6fa9]
/usr/lib/libgmp.so.10(__gmpz_n_pow_ui+0x7af) [0x7£9a7e3091df]
/usr/1lib/libpolys-4.2.0.s0(_ZllnrnInitCharP9n_Procs_sPv+0xc2) [0x7£9769d92cb2]
/usr/1lib/libpolys—-4.2.0.s0(_Z9nInitCharlln_coeffTypePv+0x343) [0x7f9769d8b3d3]
/usr/lib/python3.9/site-packages/sage/libs/singular/ring.cpython-39-x86_64-1linux—-gnu.so (+0x153c6) [
0x7£976974a3c6]
/usr/lib/python3.9/site-packages/sage/rings/polynomial/multi_polynomial_libsingular.cpython-39-x86
_64-linux—gnu.so (+0x25396) [0x7£976a254396]

/usr/1lib/libpython3.9.s0.1.0(_PyObject_MakeTpCall+0x38b) [0x7f9a812655fb]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x4b21) [0x7£9a81260941]
/usr/1lib/libpython3.9.s0.1.0 (+0x128cbd) [0x7f9a8125acbd]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0x34e) [0x7f9%9a8126d3fe]
/usr/lib/libpython3.9.s50.1.0(_PyEval_EvalFrameDefault+0x2c9e) [0x7f%a8125eabe]
/usr/lib/libpython3.9.s50.1.0 (+0x1294df) [0x7f9a8125b4df]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0x34e) [0x7f9a8126d3fe]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x3c6) [0x7f9a8125cleb]
/usr/lib/libpython3.9.s50.1.0 (+0x1294df) [0x7£9a8125b4df]
/usr/1lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0x34e) [0x7£9a8126d3fe]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x3c6) [0x7£f9a8125cleb]
/usr/lib/libpython3.9.s50.1.0 (+0x1294df) [0x7f9a8125b4df]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0x34e) [0x7f9a8126d3fe]
/usr/lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x3c6) [0x7f9%9a8125cleb]
/usr/lib/libpython3.9.s50.1.0 (+0x128cbd) [0x7f9a8125achd]
/usr/1lib/libpython3.9.s50.1.0(_PyEval_EvalCodeWithName+0x51) [0x7£9a8125a681]
/usr/lib/libpython3.9.s50.1.0 (PyEval_EvalCode+0x23) [0x7£9a8131e593]
/usr/lib/libpython3.9.s0.1.0 (+0x1£385d) [0x7£9a8132585d]
/usr/1lib/libpython3.9.s50.1.0 (+0x13bc31) [0x7£9a8126dc31]
/usr/lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x3c6) [0x7£9a8125cleb]
/usr/1lib/libpython3.9.s50.1.0 (+0x16b5d6) [0x7£f9a8129d5d6]
/usr/1lib/libpython3.9.s50.1.0(_PyEval_EvalFrameDefault+0x5004) [0x7f%a81260e24]
/usr/lib/libpython3.9.s50.1.0 (+0x16b5d6) [0x7£9a8129d5d6]
/usr/lib/libpython3.9.s50.1.0(_PyEval_EvalFrameDefault+0x5004) [0x7f9%9a81260e24]
/usr/1lib/libpython3.9.s50.1.0 (+0x16b5d6) [0x7£9a8129d5d6]
/usr/lib/libpython3.9.s50.1.0 (+0x1492d9) [0x7£9a8127b2d9]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x5fa) [0x7f9a8125c41la]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0Oxlaa) [0x7f9a8126d25a]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x3c6) [0x7f%9a8125cleb]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0xlaa) [0x7f9a8126d25a]
/usr/lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x5fa) [0x7f%9a8125c41la]
/usr/1lib/libpython3.9.s50.1.0 (+0x128cbd) [0x7f9a8125acbd]
/usr/lib/libpython3.9.s0.1.0 (_PyFunction_Vectorcall+0x34e) [0x7f9a8126d3fe]
/usr/lib/libpython3.9.s50.1.0 (+0x14bebd) [0x7£9a8127debd]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x1184) [0x7f9a8125cfa4]
/usr/lib/libpython3.9.s0.1.0 (+0x128cbd) [0x7f9%a8125acbd]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0x34e) [0x7f9a8126d3fe]
/usr/lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x5fa) [0x7f%9a8125c41la]
/usr/lib/libpython3.9.s50.1.0 (+0x128cbd) [0x7f9a8125achd]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0x34e) [0x7f9a8126d3fe]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x5fa) [0x7f9a8125c41la]
/usr/lib/libpython3.9.s0.1.0(_PyFunction_Vectorcall+0xlaa) [0x7£f9a8126d25a]
/usr/1lib/libpython3.9.s0.1.0(_PyEval_EvalFrameDefault+0x5fa) [0x7f9a8125c41la]
/usr/lib/libpython3.9.s0.1.0 (+0x128cbd) [0x7f9%a8125acbd]
/usr/lib/libpython3.9.s0.1.0(_PyEval_EvalCodeWithName+0x51) [0x7f9a8125a681]
/usr/1lib/libpython3.9.s50.1.0 (PyEval_EvalCode+0x23) [0x7f9a8131e593]
/usr/lib/libpython3.9.s50.1.0 (+0x1fca4dd) [0x7f9a8132ea4d]
/usr/lib/libpython3.9.s50.1.0 (+0x1f82eb) [0x7f9a8132a2eb]
/usr/lib/libpython3.9.s50.1.0 (+0x985bc) [0x7f9a811lcabbc]
/usr/1lib/libpython3.9.s0.1.0 (PyRun_SimpleFileExFlags+0x388) [0x7£9a811c9970]
/usr/1lib/libpython3.9.s0.1.0 (Py_RunMain+0x32a) [0x7£9a8134042a]
/usr/lib/libpython3.9.s0.1.0 (Py_BytesMain+0x39) [0x7f9%9a81311529]

/usr/lib/libc.so.6(___libc_start_main+0xd5) [0x7£9a80f8cb25]

/usr/bin/python (_start+0x2e) [0x55£38£40004e]

Attaching gdb to process id 2178.

GNU gdb (GDB) 10.1

Copyright (C) 2020 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.

Type "show copying" and "show warranty" for details.

This GDB was configured as "x86_64-pc-linux—-gnu".

Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<https://www.gnu.org/software/gdb/bugs/>.

Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".

Type "apropos word" to search for commands related to "word".
[New LWP 2181]

0x00007£9a8103110f in wait4 () from /usr/lib/libc.so.6

Stack backtrace

No symbol table info available.
#1 0x00007f9a7e038fea in 27?2 ()

from /usr/lib/python3.9/site-packages/cysignals/signals.cpython-39-x86_64-1inux—-gnu.so

No symbol table info available.
#2 0x00007f£9a7e03984b in 2?2 ()

from /usr/lib/python3.9/site-packages/cysignals/signals.cpython-39-x86_64-linux—-gnu.so

No symbol table info available.
#3 0x00007f9a7e03c946 in 2?2 ()
from /usr/lib/python3.9/site-packages/cysignals/signals.cpython-39-x86_64-linux—-gnu.so
No symbol table info available.
#4 <signal handler called>
No symbol table info available.
#5 0x00007f9a80fa2l1fb in kill () from /usr/lib/libc.so.6
No symbol table info available.
#6 0x00007f9a76caa273 in 2? ()
from /usr/lib/python3.9/site-packages/sage/ext/memory.cpython-39-x86_64-1linux-gnu.so
No symbol table info available.
#7 0x00007f9%9a76caad490 in 2?2 ()
from /usr/lib/python3.9/site-packages/sage/ext/memory.cpython-39-x86_64-linux-gnu.so
No symbol table info available.
#8 0x00007f%9a7e2f6fa9 in _ gmp_tmp_reentrant_alloc ()
from /usr/lib/libgmp.so.10
No symbol table info available.
#9 0x00007£f9a7e3091df in _ _gmpz_n_pow_ui () from /usr/lib/libgmp.so.10
No symbol table info available.
#10 0x00007£9769d92¢cb2 in nrnInitChar (n_Procs_s*, void*) ()
from /usr/lib/libpolys-4.2.0.s0
No symbol table info available.
#11 0x00007£9769d8b3d3 in nInitChar (n_coeffType, void*) ()
from /usr/lib/libpolys-4.2.0.so0
No symbol table info available.
#12 0x00007£976974a3c6 in 2?2 ()
from /usr/lib/python3.9/site-packages/sage/libs/singular/ring.cpython-39-x86_64-1linux—gnu.so
No symbol table info available.
#13 0x00007£976a254396 in 2?2 ()
from /usr/lib/python3.9/site-packages/sage/rings/polynomial/multi_polynomial_libsingular.cpytho
n-39-x86_64-1inux—gnu.so
No symbol table info available.
#14 0x00007£9a812655fb in _PyObject_MakeTpCall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#15 0x00007£9a81260941 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#16 0x00007f%9a8125achbd in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#17 0x00007£f9a8126d3fe in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#18 0x00007f9%9a8l25eabe in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#19 0x00007f9%9a8125b4df in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#20 0x00007f9a8126d3fe in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#21 0x00007f9a8125cle6 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#22 0x00007f9%9a8125b4df in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#23 0x00007f9a8126d3fe in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#24 0x00007f9a8125cle6 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#25 0x00007f9%9a8125b4df in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#26 0x00007f9a8126d3fe in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#27 0x00007f9a8125cle6 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#28 0x00007f9a8125acbd in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#29 0x00007f9a8125a681 in _PyEval_EvalCodeWithName ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#30 0x00007£f9a8131e593 in PyEval_EvalCode () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#31 0x00007£9a8132585d in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#32 0x00007£f9a8126dc31 in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#33 0x00007f9a8125cle6 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#34 0x00007£9a8129d5d6 in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#35 0x00007£9a81260e24 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#36 0x00007f9a8129d5d6 in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#37 0x00007£9a81260e24 in _PyEval_FEvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#38 0x00007£9a8129d5d6 in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#39 0x00007f9a8127b2d9 in ?2? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#40 0x00007f9a8125c4la in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#41 0x00007f9a8126d25a in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#42 0x00007f9a8125cle6 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#43 0x00007£f9a8126d25a in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#44 0x00007£f9a8125c4la in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#45 0x00007f%9a8125achbd in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#46 0x00007f9a8126d3fe in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#47 0x00007£9a8127deb4 in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#48 0x00007f9a8125cfa4 in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#49 0x00007f9a8125achbd in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#50 0x00007f9a8126d3fe in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#51 0x00007f9%9a8125c4la in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#52 0x00007f9a8125achbd in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#53 0x00007f£9a8126d3fe in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#54 0x00007f9a8125c4la in _PyEval_EvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#55 0x00007f9%9a8126d25a in _PyFunction_Vectorcall ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#56 0x00007£f9a8125c4la in _PyEval_FEvalFrameDefault ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#57 0x00007f9a8125acbd in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#58 0x00007f9a8125a681 in _PyEval_EvalCodeWithName ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#59 0x00007£f9a8131e593 in PyEval_EvalCode () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#60 0x00007f9a8132ea4d in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#61 0x00007f9a8132a2eb in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#62 0x00007f9%9a8llcabbc in ?? () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#63 0x00007£9a811c9970 in PyRun_SimpleFileExFlags ()
from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#64 0x00007£9a8134042a in Py_RunMain () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#65 0x00007f9a81311529 in Py_BytesMain () from /usr/lib/libpython3.9.s0.1.0
No symbol table info available.
#66 0x00007£9a80f8cb25 in _ libc_start_main () from /usr/lib/libc.so.6
No symbol table info available.
#67 0x000055£38£40004e in _start ()
No symbol table info available.
SSS>S>SSSSSSSSSS5SSS5SSS55SS55S555S555555555555555555555555555>>5>>

Cython backtrace

#0 0x00007£9a810310b0 in wait4d ()

#1 0x0000000000000000 in 272 ()

#2 0x0000000000000000 in 272 ()

#3 0x0000000000000000 in 2?2 ()

#4 0x00007£9a8153ef50 in __ restore_rt ()

#5 0x00007f9a80fa21f0 in kill ()

#6 0x0000000000000000 in 2?2 ()

#7 0x0000000000000000 in 2?2 ()

#8 0x00007f9a7e2f6f90 in _ gmp_tmp_reentrant_alloc ()
#9 0x00007f9a7e308a30 in __gmpz_n_pow_ui ()

#10 0x0000000000000000 in nrnInitChar (n_Procs_s*, void*) ()
#11 0x0000000000000000 in nInitChar (n_coeffType, void*) ()
#12 0x0000000000000000 in 2?2 ()

#13 0x0000000000000000 in 2?2 ()

#14 0x00007f9a81265270 in _PyObject_MakeTpCall ()

#15 0x00007£f9a8125be20 in _PyEval_EvalFrameDefault ()
#16 0x0000000000000000 in 2?2 ()

#17 0x00007£9a8126d0b0 in _PyFunction_Vectorcall ()
#18 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#19 0x0000000000000000 in 2?2 ()

#20 0x00007£9a8126d0b0 in _PyFunction_Vectorcall ()
#21 0x00007f9a8125be20 in _PyEval_EvalFrameDefault ()
#22 0x0000000000000000 in 2?2 ()

#23 0x00007£f9a8126d0b0 in _PyFunction_Vectorcall ()
#24 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#25 0x0000000000000000 in 272 ()

#26 0x00007£9a8126d0b0 in _PyFunction_Vectorcall ()
#27 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#28 0x0000000000000000 in 2?2 ()

#29 0x00007£9a8125a630 in _PyEval_EvalCodeWithName ()
#30 0x00007£9a8131e570 in PyEval_EvalCode ()

#31 0x0000000000000000 in 2?2 ()

#32 0x0000000000000000 in 2?2 ()

#33 0x00007f9a8125be20 in _PyEval_EvalFrameDefault ()
#34 0x0000000000000000 in 272 ()

#35 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#36 0x0000000000000000 in 272 ()

#37 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#38 0x0000000000000000 in 2?2 ()

#39 0x0000000000000000 in 2?2 ()

#40 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#41 0x00007f9a8126d0b0 in _PyFunction_Vectorcall ()
#42 0x00007f9a8125be20 in _PyEval_EvalFrameDefault ()
#43 0x00007£9a8126d0b0 in _PyFunction_Vectorcall ()
#44 0x00007£9a8125be20 in _PyEval_FEvalFrameDefault ()
#45 0x0000000000000000 in 272 ()

#46 0x00007£9a8126d0b0 in _PyFunction_Vectorcall ()
#47 0x0000000000000000 in 2?2 ()

#48 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#49 0x0000000000000000 in 2?2 ()

#50 0x00007f9a8126d0b0 in _PyFunction_Vectorcall ()
#51 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#52 0x0000000000000000 in 272 ()

#53 0x00007£9a8126d0b0 in _PyFunction_Vectorcall ()
#54 0x00007f9a8125be20 in _PyEval_EvalFrameDefault ()
#55 0x00007£9a8126d0b0 in _PyFunction_Vectorcall ()
#56 0x00007£9a8125be20 in _PyEval_EvalFrameDefault ()
#57 0x0000000000000000 in 2?2 ()

#58 0x00007f9a8125a630 in _PyEval_EvalCodeWithName ()
#59 0x00007£9a8131e570 in PyEval_EvalCode ()

#60 0x0000000000000000 in 272 ()

#61 0x0000000000000000 in 272 ()

#62 0x0000000000000000 in 2?2 ()

#63 0x00007£9a811c95e8 in PyRun_SimpleFileExFlags ()
#64 0x00007£9a81340100 in Py_RunMain ()

#65 0x00007£f9a813114f0 in Py_BytesMain ()

#66 0x00007£9a80f8ca50 in _ libc_start_main ()

#67 0x000055£38£400020 in _start ()

[Inferior 1 (process 2178) detached]

Error while reading shared library symbols for /usr/lib/libpthread.so.0:
Cannot find user-level thread for LWP 2181: generic error

Saved trace to /home/theo/cysignals_crash_logs/crash_0Okhlrwtn.log
Unhandled SIGABRT: An abort () occurred.

This probably occurred because a *compiled* module has a bug

in it and is not properly wrapped with sig_on (), sig_off ().

Python will now terminate.

[1] 2178 abort (core dumped) sage

[ tried to find the source of the problem, but | could not find it. Is it a Python problem? A Cython problem? Or even something in the
kernel (running linux-libre 5.10.27-gnu-1-Its)?

I'm also not sure, whether this is the correct place to ask for help. Should | ask the sage people directly?
As always, please tell me if | can provide more informations.

Thank you for your help!

History

#1 - 2021-04-26 10:56 PM - bill-auger

- Status changed from unconfirmed to confirmed

the bug exists in arch
#2 - 2021-04-26 10:58 PM - bill-auger

- Status changed from confirmed to forwarded upstream

#3 - 2021-04-27 06:43 AM - theova

Thanks for forwarding, it got fixed by now.
#4 - 2021-04-27 02:44 PM - bill-auger
its not fixed for parabola yet though - the fix is in v9.2-17 -

sometime today it should propagate across the parabola mirrors

#5 - 2021-05-01 12:49 AM - bill-auger

- Assignee set to bill-auger

#6 - 2021-05-01 12:49 AM - bill-auger

- Status changed from forwarded upstream to fixed
